﻿/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_CLASSIFIER_INFO') 
 CREATE TABLE T_CVP_CLASSIFIER_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ',
FCLASSIFIERMETHOD VARCHAR(50) DEFAULT ' ',
FSTATUS VARCHAR(50) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ',
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ',
FBILLISPERSET VARCHAR(50) DEFAULT ' ',
FDESC VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_CLASSIFIER_CONFIG') 
 CREATE TABLE T_CVP_CLASSIFIER_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FKEYOWORD VARCHAR(1000) DEFAULT ' ',
FINCLUDEDTEMPLATE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_CLASSIFIER_FILES') 
 CREATE TABLE T_CVP_CLASSIFIER_FILES (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_CLASSIFIER_INFO_L') 
 CREATE TABLE T_CVP_CLASSIFIER_INFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_CLASSIFIER_INFO_R3') 
 CREATE TABLE T_CVP_CLASSIFIER_INFO_R3 (
FID BIGINT DEFAULT 0 NOT NULL,
FREFSTATUS VARCHAR(1) DEFAULT ' '
);
/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_table.sql **/



/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CVP_CLASSIFIER_INFO', 'T_CVP_CLASSIFIER_INFO', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_CLASSIFIER_INFO') CREATE  CLUSTERED INDEX IDX_CVP_CLASSIFIER_INFO ON T_CVP_CLASSIFIER_INFO ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_T_CVP_CLASSIFIER_CONFIG', 'T_CVP_CLASSIFIER_CONFIG', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_CLASSIFIER_CONFIG') CREATE UNIQUE  CLUSTERED INDEX IDX_CVP_CLASSIFIER_CONFIG ON T_CVP_CLASSIFIER_CONFIG ( FINCLUDEDTEMPLATE );


 EXEC P_ALTERPK 'PK_T_CVP_CLASSIFIER_FILES', 'T_CVP_CLASSIFIER_FILES', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_CLASSIFIER_FILES') CREATE UNIQUE  CLUSTERED INDEX IDX__CVP_CLASSIFIER_FILES ON T_CVP_CLASSIFIER_FILES ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_CVP_CLASSIFIER_INFO_L', 'T_CVP_CLASSIFIER_INFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_CLASSIFIER_INFO_L') CREATE INDEX IDX_CVP_CLASSIFIER_INFO_L ON T_CVP_CLASSIFIER_INFO_L ( FID );


 EXEC P_ALTERPK 'PK_T_CVP_CLASSIFIER_INFO_R3', 'T_CVP_CLASSIFIER_INFO_R3', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_CVP_CLASSIFIER_INFO_R3') CREATE INDEX IDX_T_CVP_CLASSIFIER_INFO_R3 ON T_CVP_CLASSIFIER_INFO_R3 ( FREFSTATUS );



/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_constraint.sql **/
